# getAnnotationProcessorPath

abstract fun getAnnotationProcessorPath(): FileCollection

Returns the classpath used to load annotation processors when compiling this source set. This path is also used for annotation processor discovery. The classpath can be empty, which means use the compile classpath; if you want to disable annotation processing, then use `-proc:none` as a compiler argument.

#### Return

The annotation processor path. Never returns null.

#### Since

4.6